
Redmine - Defect #17577

<code> blocks have no numbers, help shows line numbers for <code> blocks though

2014-07-29 11:52 - Felix Schäfer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 2.5.2

Description

The detailed wiki syntax help shows line numbers for code blocks in wiki syntax 

source:/branches/2.5-stable/public/help/en/wiki_syntax_detailed.html#L275, currently the wiki syntax doesn't show them though:

# The Greeter class

class Greeter

  def initialize(name)

    @name = name.capitalize

  end

  def salute

    puts "Hello #{@name}!" 

  end

end

 Should the line numbers be added to the code blocks or the line numbers be removed from the detailed help?

Related issues:

Is duplicate of Redmine - Patch #20288: Finalize CodeRay 1.1.0 upgrade Closed

History

#1 - 2014-07-29 11:53 - Felix Schäfer

Planio is ready to provide a patch for this once it's clear what the fix for this should be, thanks.

#2 - 2015-12-14 00:48 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

Line numbers in the help are removed by #20288 (Redmine 3.2.0).

#3 - 2015-12-14 00:49 - Go MAEDA

- Is duplicate of Patch #20288: Finalize CodeRay 1.1.0 upgrade added
